#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#
#define debug_package %{nil}

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 addon with text widgets
Name:           ktextwidgets
Version: 5.5.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/


BuildRequires:  kf5-macros

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(Qt5Test)

BuildRequires: kconfig-devel >= %version
BuildRequires: kcoreaddons-devel >= %version
BuildRequires: kauth-devel >= %version
BuildRequires: kcodecs-devel >= %version
BuildRequires: kguiaddons-devel >= %version
BuildRequires: kconfigwidgets-devel >= %version
BuildRequires: ki18n-devel >= %version
BuildRequires: kitemviews-devel >= %version
BuildRequires: kiconthemes-devel >= %version
BuildRequires: kdbusaddons-devel >= %version
BuildRequires: kservice-devel >= %version
BuildRequires: kwidgetsaddons-devel >= %version
BuildRequires: kwindowsystem-devel >= %version
BuildRequires: kcompletion-devel >= %version
BuildRequires: sonnet-devel >= %version


%description
KDE Frameworks 5 Tier 3 addon with text widgets

%files
%_kf5_datadir/kservicetypes5/kregexpeditor.desktop

#--------------------------------------------------------------------

%define kf5textwidgets_major 5
%define libkf5textwidgets %mklibname kf5textwidgets %{kf5textwidgets_major}

%package -n %libkf5textwidgets
Summary:  KDE Frameworks 5 Tier 3 addon with text widgets
Group:        System/Libraries
Requires:     %name = %version-%release

%description -n %libkf5textwidgets
KDE Frameworks 5 Tier 3 addon with text widgets

%files -n %libkf5textwidgets -f %{name}5.lang
%_kf5_libdir/libKF5TextWidgets.so.%{kf5textwidgets_major}*

#--------------------------------------------------------------------

%define kf5textwidgets_devel %mklibname kf5textwidgets -d

%package -n %kf5textwidgets_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5textwidgets = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5textwidgets_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5textwidgets_devel
%_kf5_includedir/KTextWidgets
%_kf5_includedir/ktextwidgets_version.h
%_kf5_libdir/cmake/KF5TextWidgets
%_kf5_libdir/*.so
%_libdir/qt5/mkspecs/modules/*.pri

#--------------------------------------------------------------------

%prep
%setup -q -n %name-%version

%build
%cmake_kf5
%make

%install
%makeinstall_std -C build
%find_lang %{name}5



%changelog
* Tue Dec 16 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803377
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 739630
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 681228
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660449
- New version 5.1.0

* Sun Jul 13 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 651748
- New version 5.0.0
- New version 4.100.0
- New version 4.99.0

* Wed Apr 02 2014 neoclust <neoclust> 4.98.0-1.mga5
+ Revision: 611302
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599813
- New version 4.97.0

* Wed Feb 19 2014 neoclust <neoclust> 4.96.0-2.mga5
+ Revision: 594726
- Fix libname
- imported package ktextwidgets

